# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v6.1.23
  - 543aff194ab62 Linux 6.1.23
  - 9c5aa3c8619fe Revert "cpuidle, intel_idle: Fix CPUIDLE_FLAG_IRQ_ENABLE *again*"
  - cafb47f5f59bf x86/PVH: avoid 32-bit build warning when obtaining VGA console info
  - 9f291f2348ed6 hsr: ratelimit only when errors are printed
  - d0386bd84e6d8 drm/amdkfd: Get prange->offset after svm_range_vram_node_new
  - fbfe493874e98 usb: ucsi: Fix ucsi->connector race
  - e5c5cb47a9ebb libbpf: Fix btf_dump's packed struct determination
  - 6c8afd54f8e99 selftests/bpf: Add few corner cases to test padding handling of btf_dump
  - 524617e553bc3 libbpf: Fix BTF-to-C converter's padding logic
  - 2e35b08b66b0b selftests/bpf: Test btf dump for struct with padding only fields
  - 0f9e728e1a6c8 net: dsa: mv88e6xxx: replace VTU violation prints with trace points
  - be831b5c69633 net: dsa: mv88e6xxx: replace ATU violation prints with trace points
  - 8f872c781f647 net: dsa: mv88e6xxx: read FID when handling ATU violations
  - e4ca4572de060 KVM: arm64: Disable interrupts while walking userspace PTs
  - 051e660c8185e KVM: arm64: PMU: Fix GET_ONE_REG for vPMC regs to return the current value
  - fcf712b4e5d0a drm/i915: Move CSC load back into .color_commit_arm() when PSR is enabled on skl/glk
  - 0fc6fea41c712 drm/i915: Disable DC states for all commits
  - c781c107731fc drm/i915/dpt: Treat the DPT BO as a framebuffer
  - 21ee19974b19e drm/i915/gem: Flush lmem contents after construction
  - fd71f4c9e3fa7 drm/amd/display: Take FEC Overhead into Timeslot Calculation
  - 41abe8828c83e drm/amd/display: Add DSC Support for Synaptics Cascaded MST Hub
  - febacc33298f8 drm/amdgpu: allow more APUs to do mode2 reset when go to S4
  - f931ca46773a4 drm/etnaviv: fix reference leak when mmaping imported buffer
  - 3f878da42862c s390: reintroduce expoline dependence to scripts
  - a028d92967bba s390/uaccess: add missing earlyclobber annotations to __clear_user()
  - bc2f8b56217b5 dt-bindings: mtd: jedec,spi-nor: Document CPOL/CPHA support
  - 69bec5ac6ea07 rcu: Fix rcu_torture_read ftrace event
  - 75289cdbe125e xtensa: fix KASAN report for show_stack
  - 3a0e34af6bffe ALSA: hda/realtek: Add quirk for Lenovo ZhaoYang CF4620Z
  - 036d5ae0a7cf0 ALSA: hda/realtek: Add quirks for some Clevo laptops
  - 3e120e9200160 ALSA: usb-audio: Fix regression on detection of Roland VS-100
  - 0c60b9c0b7747 ALSA: hda/conexant: Partial revert of a quirk for Lenovo
  - f6bcbd556978e NFSv4: Fix hangs when recovering open state after a server reboot
  - 3f5ded246953d powerpc/64s: Fix __pte_needs_flush() false positive warning
  - 0bb88976bdd29 powerpc/pseries/vas: Ignore VAS update for DLPAR if copy/paste is not enabled
  - 064a1c7b0f840 powerpc: Don't try to copy PPR for task with NULL pt_regs
  - 44917e8c38d89 platform/x86: ideapad-laptop: Stop sending KEY_TOUCHPAD_TOGGLE
  - 61c1f420bb01f pinctrl: at91-pio4: fix domain name assignment
  - d9c63daa576b2 pinctrl: amd: Disable and mask interrupts on resume
  - 0e7ac17634d22 modpost: Fix processing of CRCs on 32-bit build machines
  - 2269be4951420 net: phy: dp83869: fix default value for tx-/rx-internal-delay
  - cdfac0a506418 xen/netback: don't do grant copy across page boundary
  - ace6aa2ab5ba5 can: j1939: prevent deadlock by moving j1939_sk_errqueue()
  - 8b7c731e5444e dm: fix __send_duplicate_bios() to always allow for splitting IO
  - d7c67be755ccc zonefs: Always invalidate last cached page on append write
  - 4d35d375efedc vmxnet3: use gro callback when UPT is enabled
  - d67b3cdacac91 io_uring: fix poll/netmsg alloc caches
  - ef329fa764c3c io_uring/rsrc: fix rogue rsrc node grabbing
  - 3eb2138d4693d io_uring/poll: clear single/double poll flags on poll arming
  - e5da11825ef7c block/io_uring: pass in issue_flags for uring_cmd task_work handling
  - 4a8f1f5122667 zonefs: Do not propagate iomap_dio_rw() ENOTBLK error to user space
  - 8a6539ea362eb btrfs: scan device in non-exclusive mode
  - a38ff2024805a btrfs: fix race between quota disable and quota assign ioctls
  - 6134a4bb6b1c4 btrfs: fix deadlock when aborting transaction during relocation with scrub
  - 85ec44199b5a4 Input: goodix - add Lenovo Yoga Book X90F to nine_bytes_report DMI table
  - 89c4b695431d3 Input: i8042 - add quirk for Fujitsu Lifebook A574/H
  - b7d854c33ab48 cifs: fix DFS traversal oops without CONFIG_CIFS_DFS_UPCALL
  - eb94ea52afff7 cifs: prevent infinite recursion in CIFSGetDFSRefer()
  - f8bdc959cefee Input: focaltech - use explicitly signed char type
  - 5ee6df5257150 Input: alps - fix compatibility with -funsigned-char
  - 30a8863f21ec8 Input: i8042 - add TUXEDO devices to i8042 quirk tables for partial fix
  - 973043d6bdea2 iommu/vt-d: Allow zero SAGAW if second-stage not supported
  - db0ac14908af0 Input: xpad - fix incorrectly applied patch for MAP_PROFILE_BUTTON
  - 2a858f3f804ce pinctrl: ocelot: Fix alt mode for ocelot
  - 106fb49b14af1 net: ethernet: mtk_eth_soc: add missing ppe cache flush when deleting a flow
  - a7bd974edf121 net: ethernet: mtk_eth_soc: fix flow block refcounting logic
  - 1b0e8aba45103 net: dsa: mv88e6xxx: Enable IGMP snooping on user ports only
  - b055e322907e4 bnxt_en: Add missing 200G link speed reporting
  - f06ae13e995ad bnxt_en: Fix typo in PCI id to device description string mapping
  - a4dd9f756973d bnxt_en: Fix reporting of test result in ethtool selftest
  - 37f9fe34482ef i40e: fix registers dump after run ethtool adapter self test
  - 6e43dc9dcf22e net: ipa: compute DMA pool size properly
  - 32b9bd7cfc2e2 ALSA: ymfpci: Fix BUG_ON in probe function
  - db7d7782677ff ALSA: ymfpci: Create card with device-managed snd_devm_card_new()
  - 9bc9e4442fe3a ice: fix invalid check for empty list in ice_sched_assoc_vsi_to_agg()
  - d10900058fa6d ice: add profile conflict check for AVF FDIR
  - 0885738841658 ice: Fix ice_cfg_rdma_fltr() to only update relevant fields
  - 0b9541ae1dd1a smsc911x: avoid PHY being resumed when interface is not up
  - a921dbbc04e3e net: mvpp2: parser fix PPPoE
  - 2a4f74420538c net: mvpp2: parser fix QinQ
  - 5718b58ca0ec3 net: mvpp2: classifier flow fix fragmentation flags
  - bee9ca40b839e loop: LOOP_CONFIGURE: send uevents for partitions
  - b7707176f858a ACPI: bus: Rework system-level device notification handling
  - 6a40fda14b4be s390/vfio-ap: fix memory leak in vfio_ap device driver
  - c11dbc7705b37 can: bcm: bcm_tx_setup(): fix KMSAN uninit-value in vfs_write
  - 7ffdf7e6fc92d platform/x86/intel/pmc: Alder Lake PCH slp_s0_residency fix
  - 75084659969f5 drm/i915/tc: Fix the ICL PHY ownership check in TC-cold state
  - ce1b88dd4013f net: stmmac: don't reject VLANs when IFF_PROMISC is set
  - c942f5cd63b7c net/net_failover: fix txq exceeding warning
  - f70328a0bfb2e regulator: Handle deferred clk
  - 1b808f5d84495 r8169: fix RTL8168H and RTL8107E rx crc error
  - 4ffa3fec1c349 net: dsa: microchip: ksz8: fix MDB configuration with non-zero VID
  - adfe556652033 net: dsa: microchip: ksz8863_smi: fix bulk access
  - 8d86ea65e0f19 net: dsa: microchip: ksz8: ksz8_fdb_dump: avoid extracting ghost entry from empty dynamic MAC table.
  - 628f76b8ae7b8 net: dsa: microchip: ksz8: fix offset for the timestamp filed
  - 91840597869da net: dsa: microchip: ksz8: fix ksz8_fdb_dump() to extract all 1024 entries
  - 9524c2ea47cca net: dsa: microchip: ksz8: fix ksz8_fdb_dump()
  - 43b4331ce0cd8 ptp_qoriq: fix memory leak in probe()
  - cc0f9bb99735d net: dsa: realtek: fix out-of-bounds access
  - 089e6318e1de2 scsi: mpt3sas: Don't print sense pool info twice
  - 9526222c1a11a scsi: megaraid_sas: Fix crash after a double completion
  - 1da26860a348e sfc: ef10: don't overwrite offload features at NIC reset
  - c5a159d5e5591 SUNRPC: fix shutdown of NFS TCP client socket
  - 43b70c9c4c903 mtd: rawnand: meson: invalidate cache on polling ECC bit
  - 53dc0b69fbac8 platform/surface: aggregator: Add missing fwnode_handle_put()
  - f0a67ad7dce49 platform/x86: think-lmi: Add possible_values for ThinkStation
  - 5b2e50d837f2c platform/x86: think-lmi: only display possible_values if available
  - 3991efd0c1aa9 platform/x86: think-lmi: use correct possible_values delimiters
  - 6c69f1ab7bdc9 platform/x86: think-lmi: add missing type attribute
  - ba85e83f9330b PCI: dwc: Fix PORT_LINK_CONTROL update when CDM check enabled
  - e39afd6095a59 ALSA: usb-audio: Fix recursive locking at XRUN during syncing
  - 2cdbcff99f15d mips: bmips: BCM6358: disable RAC flush for TP1
  - a07cf4fd610ed riscv/kvm: Fix VM hang in case of timer delta being zero.
  - 60b2027077ea6 ca8210: Fix unsigned mac_len comparison with zero in ca8210_skb_tx()
  - 8b46440d1a635 mtd: nand: mxic-ecc: Fix mxic_ecc_data_xfer_wait_for_completion() when irq is used
  - c84d28b322365 mtd: rawnand: meson: initialize struct with zeroes
  - f5527b3b4d3dd btrfs: use temporary variable for space_info in btrfs_update_block_group
  - bd265f2061aa9 btrfs: fix uninitialized variable warning in btrfs_update_block_group
  - 089d656992c0f tracing: Fix wrong return in kprobe_event_gen_test.c
  - 88cdf1d8a522b tools/power turbostat: fix decoding of HWP_STATUS
  - 6ecdea91ef959 tools/power turbostat: Fix /dev/cpu_dma_latency warnings
  - 2a3562ea9d726 fbdev: au1200fb: Fix potential divide by zero
  - 9f2a69d5e6770 fbdev: lxfb: Fix potential divide by zero
  - 8ab9eada22d93 fbdev: intelfb: Fix potential divide by zero
  - c8d88107971e1 fbdev: nvidia: Fix potential divide by zero
  - 35a32a50dc8f3 net/mlx5e: Lower maximum allowed MTU in XSK to match XDP prerequisites
  - b969838c9554a drm/amdkfd: Fixed kfd_process cleanup on module exit.
  - e437554b14529 nvme-pci: add NVME_QUIRK_BOGUS_NID for Lexar NM620
  - c8943cf3ab9b8 sched_getaffinity: don't assume 'cpumask_size()' is fully initialized
  - 2961b331b0745 ACPI: tools: pfrut: Check if the input of level and type is in the right numeric range
  - b8b7d5eac5ee9 fbdev: tgafb: Fix potential divide by zero
  - 32854bc91ae7d ALSA: hda/ca0132: fixup buffer overrun at tuning_ctl_set()
  - 69280e8e669c7 ALSA: asihpi: check pao in control_message()
  - 8b4dc07eb938d net: hsr: Don't log netdev_err message on unknown prp dst node
  - 5045360f3bb62 drm/amdkfd: fix potential kgd_mem UAFs
  - b861f0e62ae14 drm/amdkfd: fix a potential double free in pqm_create_queue
  - b61b21bcbb8a3 drm/amdkfd: Fix BO offset for multi-VMA page migration
  - 3e48f7b53de41 x86/PVH: obtain VGA console info in Dom0
  - df0833da4bfac md: avoid signed overflow in slot_store()
  - 50f6507aadf81 ASoC: SOF: IPC4: update gain ipc msg definition to align with fw
  - 6d0ab3efb2821 ASoC: SOF: Intel: pci-tng: revert invalid bar size setting
  - 6290404aa1428 ASoC: SOF: ipc4-topology: Fix incorrect sample rate print unit
  - a56be07a8c0c5 ASoC: SOF: ipc3: Check for upper size limit for the received message
  - ab7a700fec405 ACPI: video: Add backlight=native DMI quirk for Dell Vostro 15 3535
  - 78b342f0cda74 zstd: Fix definition of assert()
  - 6beb32105eeaf ASoC: Intel: avs: nau8825: Adjust clock control
  - 30878a7eec00d ASoC: Intel: avs: ssm4567: Remove nau8825 bits
  - ea7950db76506 ASoC: Intel: avs: da7219: Explicitly define codec format
  - d0652061c3b85 ASoC: Intel: avs: max98357a: Explicitly define codec format
  - 57f9a9a232bde ASoC: codecs: tx-macro: Fix for KASAN: slab-out-of-bounds
  - 5218af4ad5d89 xfrm: Zero padding when dumping algos and encap
  - 2b4830eefc41b cifs: fix missing unload_nls() in smb2_reconnect()
  - e0169d62efce9 arm64: efi: Set NX compat flag in PE/COFF header
  - ec6cd79c4e54a net: mscc: ocelot: fix stats region batching
  - 39cd75f2f3a43 tracing: Do not let histogram values have some modifiers
  - 8ebeea1052f6d tracing: Add .graph suffix option to histogram value
  - 93454d1a306ea tracing: Add .percent suffix option to histogram values
  - 954fc9931f0aa tty: serial: fsl_lpuart: fix race on RX DMA shutdown
  - 3a4d6f959caaf tty: serial: fsl_lpuart: switch to new dmaengine_terminate_* API
  - 33123ad902f31 drm/msm/disp/dpu: fix sc7280_pp base offset
  - 3f7c4839fc041 drm/msm/dpu: correct sm8250 and sm8350 scaler
  - 30fff49ea686d drm/msm/dpu: Refactor sc7280_pp location
  - 942100ec928cd ARM: dts: aspeed: p10bmc: Update battery node name
  - 84cfcf240f4a5 riscv: ftrace: Fixup panic by disabling preemption
  - a35f863210e80 net: ethernet: ti: am65-cpsw/cpts: Fix CPTS release action
  - 64621e4607f48 btrfs: zoned: count fresh BG region as zone unusable
  - ea34b8bcc7aec btrfs: rename BTRFS_FS_NO_OVERCOMMIT to BTRFS_FS_ACTIVE_ZONE_TRACKING
  - bae092f587592 kcsan: avoid passing -g for test
  - 01f3150cc7a78 kernel: kcsan: kcsan_test: build without structleak plugin
  - 0b0e1551ba9a8 fsverity: don't drop pagecache at end of FS_IOC_ENABLE_VERITY
  - fc426026c3a3b zonefs: Fix error message in zonefs_file_dio_append()
  - 81cf745f11055 zonefs: Separate zone information from inode information
  - 7558b249cb4e7 zonefs: Reduce struct zonefs_inode_info size
  - 3741898b16947 zonefs: Simplify IO error handling
  - a624b4796f38b zonefs: Reorganize code
  - 9dad2690b1269 cifs: avoid race conditions with parallel reconnects
  - a5698f3ebb785 cifs: prevent data race in cifs_reconnect_tcon()
  - f60cdd319b2c3 cifs: update ip_addr for ses only for primary chan setup
  - eddee1c229c21 thunderbolt: Limit USB3 bandwidth of certain Intel USB4 host routers
